Bug 780814 - (SOA-3260) Remove default attribute from bpmToEsbVars mapping description
Remove default attribute from bpmToEsbVars mapping description
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Documentation, JBossESB, JBPM - within SOA (Show other bugs)
5.1.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.2.0 GA
Assigned To: David Le Sage
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-11 05:14 EDT by Martin Weiler
Modified: 2011-11-15 03:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-15 03:20:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-3260 Major Closed Remove default attribute from bpmToEsbVars mapping description 2016-01-04 10:41 EST

  None (edit)
Description Martin Weiler 2011-08-11 05:14:55 EDT
Help Desk Ticket Reference: https://na7.salesforce.com/500A0000007qyHU
project_key: SOA

The ESB Service Guide [1] contains the following description about the bpmToEsbVars element of the EsbActionHandler or EsbNotifier:

* bpmToEsbVars
This element is optional. It takes a list of sub-elements and uses them to map a jBPM context variable to an ESB Message location. Each of these mapping sub-elements can have the following attributes: 
[..]

  - default
    This attribute is optional. If the variable is not found within the jBPM context, the value of this field is taken instead. 

The section on 'default' attribute should be removed, as defining a default value is only supported on the esbToBpmVars mappings.

[1] http://docs.redhat.com/docs/en-US/JBoss_Enterprise_SOA_Platform/5/html/ESB_Services_Guide/ch05.html#id2346625
Comment 1 David Le Sage 2011-10-21 00:58:03 EDT
Release Notes Docs Status: Added: Not Required
Writer: Added: dlesage
Comment 2 David Le Sage 2011-10-21 00:58:26 EDT
The Services Guide has been updated to reflect this.
Comment 3 Martin Vecera 2011-11-15 03:20:06 EST
Verified at documentation-stage-01.lab.eng.bne.redhat.com

Note You need to log in before you can comment on or make changes to this bug.